Results 1 to 6 of 6

Thread: Cannot start reactor-classic-boilerplate

    Success! Looks like we've fixed this one. According to our records the fix was applied for REAC-137 in 1.0.1.
  1. #1

    Default Cannot start reactor-classic-boilerplate

    I try to test reactor-classic-boilerplate but there is an error when i run npm start.

    Can you help me?

    Josef.


    Sencha Cmd v6.5.0.180
    [INF] Loading compiler context
    [ERR] Cannot satisfy requirements for "classic"!
    [ERR] The following versions cannot be satisfied:
    [ERR] null: classic (No matches!)
    [ERR] Cannot satisfy requirements for "theme-triton"!
    [ERR] The following versions cannot be satisfied:
    [ERR] null: theme-triton (No matches!)
    [ERR]
    [ERR] BUILD FAILED
    [ERR] com.sencha.exceptions.BasicException: com.sencha.exceptions.ExVersion: Cannot resolve package requirements
    [ERR]
    [ERR] Total time: 0 seconds
    [ERR] com.sencha.exceptions.BasicException: com.sencha.exceptions.ExVersion: Cannot resolve package requirements
    undefined
    (node:812) UnhandledPromiseRejectionWarning: Unhandled promise rejection (rejection id: 1): TypeError: Cannot read property 'toString' of undefined

  2. #2
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795

    Default

    Hi Josef

    We are aware of this issues and are working on the fix which will be available in v1.0.1
    You can try to install the 1.0.1 beta version using:

    Code:
    npm install --save-dev @extjs/[email protected]
    https://github.com/sencha/extjs-reac...ment-302713767

    Regards
    Petr

  3. #3

    Default

    Hi Petře,
    thanks for your answer. This fix works fine. But there is next error.

    babel [BABEL] C:\react\demo\extjs-reactor\packages\reactor-classic-boilerplate\src\data.js: Generation end +1ms
    94% asset optimization
    building ExtReact bundle: ext => C:\react\demo\extjs-reactor\packages\reactor-classic-boilerplate\build\ext-react
    undefined
    (node:9060) UnhandledPromiseRejectionWarning: Unhandled promise rejection (rejection id: 1): TypeError: Cannot read property 'toString' of undefined


    Thanks Josef.

  4. #4
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795

    Default

    Ahoj Pepo

    Please try to also switch to branch 1.0.1 on the GitHub repo, there were some changes.
    Also don't forget to copy the ext framework or make a link to the folder as mentioned in the guide https://github.com/sencha/extjs-reac...ic-boilerplate

    Petr

  5. #5
    Sencha User
    Join Date
    Nov 2015
    Location
    Paris
    Posts
    34

    Default

    Same problem for me, with 1.0.1, on WIndows 10.
    Still unable to test ExtReact after dozens of tries..

  6. #6

    Default

    I clone https://github.com/sencha/extjs-reactor.git with branch 1.0.1 and i do steps describe by Peter and all works fine.

    Josef

Similar Threads

  1. Replies: 2
    Last Post: 18 Sep 2017, 9:16 AM
  2. Replies: 2
    Last Post: 19 May 2017, 9:20 AM
  3. [CLOSED] Cannot get reactor-boilerplate started
    By dkelly in forum Bugs
    Replies: 2
    Last Post: 18 May 2017, 1:17 PM
  4. Replies: 1
    Last Post: 6 Jan 2017, 4:23 PM
  5. Reducing boilerplate
    By Josh.VanderLinden in forum Sencha Cmd
    Replies: 3
    Last Post: 20 May 2015, 2:53 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •